                        .find-us-section h2 {
                            font-weight: 700;
                            font-size: 2rem;
                        }

                        .find-us-section p,
                        .find-us-section h2 {
                            color: #333333;
                        }

                        .find-us-section p {
                            line-height: 1.5;
                            /* Improved readability */
                        }

                        .find-us-section .rounded-btn {
                            color: white;
                            border-radius: 24px;
                            padding: 10px 20px;
                            font-size: 12px;
                            font-weight: 400;
                            /* Increased for better legibility */
                            font-family: 'RedHatDisplayLight', Arial, Helvetica, sans-serif;
                            max-width: 200px;
                            /* Adjusted for better spacing */
                        }

                        .find-us-section .red-button {
                            background-color: #DC291E;
                        }

                        .find-us-section .red-button:hover {
                            background-color: #b22119;
                        }

                        .find-us-section {
                            background-color: white;
                        }